For the complete documentation index, see llms.txt. This page is also available as Markdown.

Quotes

Returns the pricing and availability for a given property, check-in date, check-out date, occupancy and promo code.

API: Direct Booking · Operation: Quotes · Direction: SM → Property · Method: Pull (Property-initiated)

Retrieve property rate quotes

get

Retrieve pricing and availability for all rates available at the property, with details broken down per date of the stay when requested.

Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired

UUID for a property.

Query parameters
checkInstringRequired

Check-in date, e.g. '2024-08-01'.

checkOutstringRequired

Check-out date, e.g. '2024-08-05' (limited to 31 nights after the check-in date).

adultsintegerOptional

number of adult occupants (defaults to 1)

Default: 1
childrenintegerOptional

number of child occupants (defaults to 0)

Default: 0
infantsintegerOptional

number of infant occupants (defaults to 0)

Default: 0
withBreakdownbooleanOptional

Include the day-level price breakdown in the response.

promocodestringOptional

if provided, returns prices with applied promotion

Header parameters
x-sm-api-keystringRequired

API key used to authenticate the request.

Responses
200

OK

application/json
propertyUuidstringRequired

UUID of the property this quote is for.

roomTypeUuidstringRequired

UUID of the room type this quote is for.

roomRateUuidstringRequired

Room rate UUID

checkInDatestringRequired

Check-in date passed in request

checkOutDatestringRequired

Check-out date passed in request

lengthOfStayintegerRequired

Length of stay, based on check-in and check-out dates

availabilityintegerRequired

Availability of the room for the length of stay.

get/properties/{propertyUuid}/quotes
GET /properties/{propertyUuid}/quotes?checkIn=text&checkOut=text HTTP/1.1
x-sm-api-key: text
Accept: */*
[
  {
    "propertyUuid": "f63ce398-da03-4573-856d-ed8d71e57e3d",
    "roomTypeUuid": "403950b4-0919-4396-afa1-3957a38a83f8",
    "roomRateUuid": "95dd1036-0a9e-449e-b834-3a606663aa9c",
    "checkInDate": "2024-08-01",
    "checkOutDate": "2024-08-05",
    "lengthOfStay": 4,
    "availability": 10,
    "occupancy": {
      "adults": 1,
      "children": 0
    },
    "price": {
      "gross": 267.51,
      "net": 255,
      "tax": 12.51,
      "serviceCharge": 0
    },
    "breakdown": [
      {
        "date": "2024-08-01",
        "gross": 0,
        "discount": [
          {
            "type": "stay-pay-deal",
            "amount": 100
          }
        ],
        "promoDiscount": [
          {
            "code": "PROMO",
            "amount": 15
          }
        ]
      },
      {
        "date": "2024-08-02",
        "gross": 89.17,
        "discount": [
          {
            "type": "stay-pay-deal",
            "amount": 0
          }
        ],
        "promoDiscount": [
          {
            "code": "PROMO",
            "amount": 15
          }
        ]
      },
      {
        "date": "2024-08-03",
        "gross": 89.17,
        "discount": [
          {
            "type": "stay-pay-deal",
            "amount": 0
          }
        ],
        "promoDiscount": [
          {
            "code": "PROMO",
            "amount": 15
          }
        ]
      },
      {
        "date": "2024-08-04",
        "gross": 89.17,
        "discount": [
          {
            "type": "stay-pay-deal",
            "amount": 0
          }
        ],
        "promoDiscount": [
          {
            "code": "PROMO",
            "amount": 15
          }
        ]
      },
      {
        "date": "2024-08-05",
        "gross": 89.17,
        "discount": [
          {
            "type": "stay-pay-deal",
            "amount": 0
          }
        ],
        "promoDiscount": [
          {
            "code": "PROMO",
            "amount": 15
          }
        ]
      }
    ]
  }
]

sparkles

Still have questions?

Last updated

Was this helpful?